Bug 914031 - gimp-help: FTBFS in rawhide
gimp-help: FTBFS in rawhide
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gimp-help (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F19FTBFS
  Show dependency treegraph
 
Reported: 2013-02-22 04:26 EST by Dennis Gilmore
Modified: 2013-05-24 16:26 EDT (History)
3 users (show)

See Also:
Fixed In Version: gimp-help-2.8.0-6.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-24 16:26:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2013-02-22 04:26:22 EST
Your package gimp-help failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=4962350

Build logs:
root.log: http://kojipkgs.fedoraproject.org/work/tasks/2350/4962350/root.log
build.log: http://kojipkgs.fedoraproject.org/work/tasks/2350/4962350/build.log
state.log: http://kojipkgs.fedoraproject.org/work/tasks/2350/4962350/state.log
NOTE: build logs are cleaned up after 1 week

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild
Comment 1 Fedora End Of Life 2013-04-03 12:35:04 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Colin Walters 2013-05-08 11:19:08 EDT
Looks like broken translations:

xml/ca/gimp.xml:1: parser error : Document is empty
^
xml/ca/gimp.xml:1: parser error : Start tag expected, '<' not found
^
unable to parse xml/ca/gimp.xml
make[1]: *** [html/ca/index.html] Error 6
make[1]: *** Waiting for unfinished jobs....
xml/de/menus/view/zoom.xml:1: parser error : Document is empty
^
xml/de/menus/view/zoom.xml:1: parser error : Start tag expected, '<' not found
^
xml/de/menus/view.xml:19: element include: XInclude error : could not load xml/de/menus/view/zoom.xml, and no fallback was found
Comment 3 Colin Walters 2013-05-08 13:16:25 EDT
Looking at old build logs, this is not new:
http://kojipkgs.fedoraproject.org//packages/gimp-help/2.8.0/3.fc18/data/logs/noarch/build.log
It is apparently newly fatal.
Comment 4 Matthias Clasen 2013-05-09 06:05:50 EDT
Just take ca out of LINGUAS, maybe ?
Comment 5 Nils Philippsen 2013-05-13 10:26:54 EDT
Bah, (even more) PO files weren't distributed in the tarball. Adding them back helped in a koji scratch build, I've just kicked off real builds for F-19 and Rawhide.
Comment 6 Fedora Update System 2013-05-14 04:20:08 EDT
gimp-help-2.8.0-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gimp-help-2.8.0-5.fc19
Comment 7 Fedora Update System 2013-05-14 13:46:08 EDT
Package gimp-help-2.8.0-6.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gimp-help-2.8.0-6.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-8141/gimp-help-2.8.0-6.fc19
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-05-24 16:26:22 EDT
gimp-help-2.8.0-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.